import 'package:flutter/material.dart';

class HomePageState extends ChangeNotifier {
  bool _showScrollMessage = false;
  bool _collapse = false;

  bool get showScrollMessage { return _showScrollMessage; }
  set showScrollMessage(bool value) {
    if (value != _showScrollMessage) {
      _showScrollMessage = value;
      notifyListeners();
    }
  }

  bool get collapse { return _collapse; }
  set collapse(bool value) {
    if (value != _collapse) {
      _collapse = value;
      notifyListeners();
    }
  }
}